#include <bits/stdc++.h>
#include <algorithm>

using namespace std;

int delioci(int a, int b, int c)
{
    int l=0;
    int A[a];
    for(int i=2; i<=a; i++)
        if(a%i==0)
            A[l++]==i;
    return A[b];
}

int main()
{
    int T,n,m,x,y;
    scanf("%d",&T);
    for(int i=0; i<T; i++)
    {
        scanf("%d%d",&n,&m);
        int M1[m],N1[n];
        for(int j=0; j<n; j++)
            scanf("%d",&N1[j]);
        for(int j=0; j<m; j++)
            scanf("%d",&M1[j]);
        sort(N1,N1+n);
        for(int l=0;l<n; l++)
            printf("%d",N1[l]);
        x=N1[1]-N1[0];
        for(int i=1; i<n; i++)
            if(N1[i]<x) x=N1[i];
        for(int )

    }


}